> ## Documentation Index
> Fetch the complete documentation index at: https://developer.energy-hub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# PV inverter data for user

> Returns PV inverter data of a single PV inverter for the user.



## OpenAPI

````yaml get /v1.0.0/users/{userId}/pv-inverters/{pvInverterId}
openapi: 3.0.1
info:
  description: A service used for battery and pv inverter devices
  title: home-power-service
  version: 1.0.0
servers:
  - description: Generated server url
    url: https://api.energy-hub.io
security: []
paths:
  /v1.0.0/users/{userId}/pv-inverters/{pvInverterId}:
    get:
      tags:
        - User PV Inverter Controller
      summary: PV inverter data for user
      description: Returns PV inverter data of a single PV inverter for the user.
      operationId: getSinglePvInverterForUser
      parameters:
        - schema:
            type: string
          in: path
          name: userId
          description: User ID
          required: true
        - schema:
            format: uuid
            type: string
          in: path
          name: pvInverterId
          description: PV inverter ID
          required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PvInverterResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                UNAUTHORIZED:
                  $ref: '#/components/examples/UNAUTHORIZED'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                PV_INVERTER_NOT_FOUND:
                  $ref: '#/components/examples/PV_INVERTER_NOT_FOUND'
      security:
        - API_Key: []
components:
  schemas:
    PvInverterResponse:
      description: Object of PV inverter response.
      type: object
      required:
        - id
        - isOnline
        - staticData
        - userId
      properties:
        lastUpdated:
          format: date-time
          description: The timestamp of the last update of any field in the PV inverter.
          type: string
        powerState:
          $ref: '#/components/schemas/PowerState'
        locationId:
          format: uuid
          description: The location ID of the battery.
          type: string
        isOnline:
          description: Indicates if the PV inverter is reachable trough the vendor system.
          type: boolean
          example: true
        id:
          format: uuid
          description: The ID of the PV inverter device.
          type: string
          example: 6eb5497d-c6bb-4290-84ef-4409fe9501f1
        userId:
          description: The ID of the user.
          type: string
          example: 896f9d5a-b618-48a2-98ae-957059bf1bc9
        staticData:
          $ref: '#/components/schemas/StaticData'
    ErrorMessageDto:
      type: object
      required:
        - errorCode
        - id
        - message
      properties:
        errorCode:
          description: The error code
          type: string
          example: EXAMPLE_ERROR_CODE
        id:
          format: uuid
          description: The error identifier
          type: string
          example: 7958818d-64d2-4ede-b12b-4786dd2f348b
        message:
          description: The error message
          type: string
          example: Example error message
    PowerState:
      description: Object of power state of a PV inverter.
      type: object
      properties:
        lastUpdated:
          format: date-time
          description: The timestamp of the last update of the power state data.
          type: string
        state:
          description: The current production state.
          type: string
          enum:
            - PRODUCING
            - IDLE
            - FAULT
        solarPower:
          format: double
          description: The current solar power of the system in kW.
          type: number
          example: 12
    StaticData:
      description: Object of static data of a home energy device.
      type: object
      required:
        - lastUpdated
        - model
        - name
        - vendor
      properties:
        lastUpdated:
          format: date-time
          description: The timestamp of the last update of the static data.
          type: string
        vendor:
          description: The vendor of the home energy device.
          type: string
          enum:
            - FRONIUS
            - TESLA
            - HUAWEI
            - SMA
        name:
          description: The display name of the home energy device.
          type: string
          example: My device
        siteName:
          description: The site name of the home energy device.
          type: string
          example: My Home
        model:
          description: The model of the home energy device.
          type: string
          example: Sunny Device
  examples:
    UNAUTHORIZED:
      value:
        errorCode: UNAUTHORIZED
        id: 57da008b-bd4d-442e-b8f8-584cb9058e29
        message: Unauthorized
    PV_INVERTER_NOT_FOUND:
      value:
        errorCode: PV_INVERTER_NOT_FOUND
        id: 57da008b-bd4d-442e-b8f8-584cb9058e29
        message: '[PV_INVERTER] Requested PV inverter not found'
  securitySchemes:
    API_Key:
      in: header
      name: X-API-KEY
      description: API key used for authorization and authentication.
      type: apiKey

````